Get all case templates
- Base URL
-
https://{kibana_url}
- GET /api/cases/templates
Returns a paginated list of case templates. Requires the Cases feature to be enabled in the space.
Query parameters
-
sortField· default: name -
Determines which field is used to sort the results.
-
Values:
templateIdnametemplateVersionownerdeletedAtauthorusageCountfieldCountlastUsedAtisDefaultisLatest -
searchstring -
An Elasticsearch simple_query_string query that filters the objects in the response.
-
Example:
Case title 1 -
owneroneOf -
A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.
-
Values:
casesobservabilitysecuritySolution -
Filters the returned templates by tags.
-
Example:
tag-1 -
Filters the returned templates by author username.
-
Example:
elastic
Responses
Indicates a successful call.
-
templatesobjectrequired -
The username of the template author.
-
deletedAtstring · format: date-timerequired nullable -
The date the template was soft-deleted, or null if active.
-
ownerstring · max length: 50required -
The owning solution (e.g. cases, observability, securitySolution).
-
The words and phrases that help categorize templates. It can be an empty array.